#!/bin/sh
XOSD_LIB_PATH=/home/mauro/lib/native
XOSD_INCLUDE_PATH=/mnt/comodino/download/xosd/xosd-2.2.10/src
JAVA_HOME=/usr/java/j2sdk1.4.2

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:./lib:$XOSD_LIB_PATH

$JAVA_HOME/bin/javac -classpath ./ -sourcepath src -d ./  src/org/beanizer/jxosd/*.java
$JAVA_HOME/bin/javah -jni -d ./include -classpath .  org.beanizer.jxosd.JXosd
gcc -o ./lib/libjxosd.so -shared -Wl,-soname,-l $XOSD_LIB_PATH/libxosd.so -I ./include -I$JAVA_HOME/include/ -I$JAVA_HOME/include/linux/  -I$XOSD_INCLUDE_PATH ./src/jxosd.c -static -lc 
$JAVA_HOME/bin/java org.beanizer.jxosd.JXosdTest -cp . 
      
