package org.beanizer.jxosd;

/**
 *  A simple executable test class for JXosd
 *
 *@author     Mauro Molino
 *@created    07 September 2004
 */
public class JXosdTest {
	/**
	 *  The main program for the JXosdTest class
	 *
	 *@param  args  The command line arguments
	 */
	public static void main(String[] args) {
		JXosd x = new JXosd(1);
		x.setPosition(JXosd.TOP);
		x.setTimeout(5);
		x.setColor("MediumSpringGreen");
		x.setFont("-misc-fixed-bold-r-normal--15-*-*-*-c-*-*-*");
		x.setShadowOffset(1);
		x.setShadowColor("gray");
		x.showText(0, "This is a test string........");
		x.waitUntilNoDisplay();
		x.destroy();
	}
}

